// Code generated by swaggo/swag. DO NOT EDIT.

package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "dengbiao",
            "url": "http://www.swagger.io/support",
            "email": "1239118001@qq.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/login": {
            "post": {
                "description": "登入",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "用户名密码",
                        "name": "req",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "token",
                        "schema": {
                            "$ref": "#/definitions/md.LoginResponse"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/qualification/enterprise/save": {
            "post": {
                "description": "资质认证-企业认证保存",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资质认证"
                ],
                "summary": "企业认证保存",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AgentList"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/qualification/info": {
            "get": {
                "description": "资质认证-基本信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资质认证"
                ],
                "summary": "基本信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/qualification/select/base": {
            "get": {
                "description": "资质认证-认证下拉框选择内容",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "资质认证"
                ],
                "summary": "认证下拉框选择内容",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/addAdmin": {
            "post": {
                "description": "新增管理员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "新增管理员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddAdminReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/addRole": {
            "post": {
                "description": "添加角色",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "添加角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AddRoleReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/adminInfo": {
            "get": {
                "description": "管理员信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "管理员信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "管理员id",
                        "name": "adm_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/adminList": {
            "post": {
                "description": "管理员列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "管理员列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.AdminListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/bindAdminRole/": {
            "post": {
                "description": "管理员绑定角色",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "管理员绑定角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.BindAdminRoleReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/deleteAdmin/{$adm_id}": {
            "delete": {
                "description": "删除管理员",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "删除管理员",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/deleteRole/{$id}": {
            "delete": {
                "description": "删除角色",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "删除角色",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateRoleStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/permissionGroupList": {
            "get": {
                "description": "权限组列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "权限组列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "管理员id",
                        "name": "adm_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/roleBindPermissionGroup": {
            "post": {
                "description": "角色绑定权限组",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "角色绑定权限组",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.RoleBindPermissionGroupReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/roleList": {
            "get": {
                "description": "角色列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "角色列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "具体看返回内容",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/updateAdmin": {
            "post": {
                "description": "修改管理员信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "修改管理员信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateAdminReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/updateAdminState": {
            "post": {
                "description": "修改管理员状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "修改管理员状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateAdminStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        },
        "/api/role/updateRole": {
            "post": {
                "description": "修改角色状态",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "ADMIN-权限管理"
                ],
                "summary": "修改角色状态",
                "parameters": [
                    {
                        "type": "string",
                        "description": "验证参数Bearer和token空格拼接",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "args",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/md.UpdateRoleStateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "success",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "具体错误",
                        "schema": {
                            "$ref": "#/definitions/md.Response"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "md.AddAdminReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "memo": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "md.AddRoleReq": {
            "type": "object",
            "required": [
                "memo",
                "name"
            ],
            "properties": {
                "memo": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "md.AdminListReq": {
            "type": "object",
            "properties": {
                "limit": {
                    "type": "integer"
                },
                "page": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "md.AgentList": {
            "type": "object",
            "properties": {
                "agent_id": {
                    "type": "integer"
                },
                "business_license_address": {
                    "type": "string"
                },
                "business_license_img_url": {
                    "type": "string"
                },
                "certificate_first_type": {
                    "type": "integer"
                },
                "certificate_type": {
                    "type": "integer"
                },
                "certificate_validity": {
                    "type": "string"
                },
                "company_abbreviation": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "country_region": {
                    "type": "string"
                },
                "country_region_id": {
                    "type": "integer"
                },
                "create_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "kind": {
                    "type": "integer"
                },
                "legal_representative": {
                    "type": "string"
                },
                "memo": {
                    "type": "string"
                },
                "registered_address": {
                    "type": "string"
                },
                "registered_address_city_id": {
                    "type": "integer"
                },
                "registered_address_country_id": {
                    "type": "integer"
                },
                "registered_address_county_id": {
                    "type": "integer"
                },
                "registered_address_province_id": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                },
                "unified_social_credit_code": {
                    "type": "string"
                },
                "update_at": {
                    "type": "string"
                },
                "uuid": {
                    "type": "integer"
                }
            }
        },
        "md.BindAdminRoleReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "role_ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "md.LoginReq": {
            "type": "object",
            "required": [
                "password",
                "username"
            ],
            "properties": {
                "code": {
                    "type": "string",
                    "example": "验证码"
                },
                "password": {
                    "type": "string",
                    "example": "登录密码"
                },
                "username": {
                    "type": "string",
                    "example": "登录账号"
                }
            }
        },
        "md.LoginResponse": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "md.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string",
                    "example": "响应码"
                },
                "data": {
                    "description": "内容"
                },
                "msg": {
                    "type": "string",
                    "example": "具体错误原因"
                }
            }
        },
        "md.RoleBindPermissionGroupReq": {
            "type": "object",
            "required": [
                "role_id"
            ],
            "properties": {
                "permission_ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "role_id": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateAdminReq": {
            "type": "object",
            "required": [
                "id",
                "password",
                "username"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "memo": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "username": {
                    "type": "string"
                }
            }
        },
        "md.UpdateAdminStateReq": {
            "type": "object",
            "required": [
                "id",
                "state"
            ],
            "properties": {
                "id": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateRoleReq": {
            "type": "object",
            "required": [
                "memo",
                "name",
                "role_id"
            ],
            "properties": {
                "memo": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "role_id": {
                    "type": "integer"
                }
            }
        },
        "md.UpdateRoleStateReq": {
            "type": "object",
            "required": [
                "role_id",
                "state"
            ],
            "properties": {
                "role_id": {
                    "type": "integer"
                },
                "state": {
                    "type": "integer"
                }
            }
        }
    },
    "securityDefinitions": {
        "MasterID": {
            "type": "apiKey",
            "name": "MasterID",
            "in": "header"
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "localhost:1003 or advertisement.dengbiao.top",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "广告联盟-渠道代理平台",
	Description:      "渠道代理后台接口",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
